<template>
  <div>
    <!-- 当前页面业务部分 -->
    <a-card :bordered="false" :title="title" v-show="visable">
            <a-descriptions title="工具参数详情">
              <a-descriptions-item label="直径">{{ this.para == null || this.para.diameter == null ? '' : this.para.diameter  }}</a-descriptions-item>
              <a-descriptions-item label="切削刃锥角">{{  this.para == null || this.para.coneAngle == null ? '' : this.para.coneAngle }}</a-descriptions-item>
              <a-descriptions-item label="切削刃长">{{ this.para == null || this.para.edgeLength == null ? '' : this.para.edgeLength }}</a-descriptions-item>
              <a-descriptions-item label="刀具总长">{{ this.para == null || this.para.totalLength == null ? '' : this.para.totalLength }}</a-descriptions-item>
              <a-descriptions-item label="刀具材料">{{ this.para == null || this.para.toolMaterial == null ? '' : this.para.toolMaterial }}</a-descriptions-item>
              <a-descriptions-item label="零件材料">{{ this.para == null || this.para.partMaterial == null ? '' : this.para.partMaterial }}</a-descriptions-item>
              <a-descriptions-item label="是否涂层">{{ this.para == null || this.para.paintcoatFlag == null ? '' : this.para.paintcoatFlag }}</a-descriptions-item>
              <a-descriptions-item label="刀具型式">{{ this.para == null || this.para.toolPattern == null ? '' : this.para.toolPattern }}</a-descriptions-item>
              <a-descriptions-item label="柄部规格">{{ this.para == null || this.para.handleSpecifications == null ? '' : this.para.handleSpecifications  }}</a-descriptions-item>
              <a-descriptions-item label="冷却方式">{{ this.para == null || this.para.coolingMethod == null ? '' : this.para.coolingMethod }}</a-descriptions-item>
              <a-descriptions-item label="附加技术条件">{{ this.para == null || this.para.technicalConditions == null ? '' : this.para.technicalConditions }}</a-descriptions-item>
              <a-descriptions-item label="附加技术条件说明">{{ this.para == null || this.para.conditionsInfo == null ? '' : this.para.conditionsInfo }}</a-descriptions-item>
              <a-descriptions-item label="品牌">{{ this.para == null || this.para.brand == null ? '' : this.para.brand }}</a-descriptions-item>
              <a-descriptions-item label="制式">{{ this.para == null || this.para.types == null ? '' : this.para.types }}</a-descriptions-item>
              <a-descriptions-item label="公差等级">{{ this.para == null || this.para.toleranceClass == null ? '' : this.para.toleranceClass }}</a-descriptions-item>
              <a-descriptions-item label="排屑槽形式">{{ this.para == null || this.para.fluteForm == null ? '' : this.para.fluteForm }}</a-descriptions-item>
              <a-descriptions-item label="柄部形式">{{ this.para == null || this.para.handleForm == null ? '' : this.para.handleForm  }}</a-descriptions-item>
              <a-descriptions-item label="刃数">{{ this.para == null || this.para.bladeCount == null ? '' : this.para.bladeCount }}</a-descriptions-item>
              <a-descriptions-item label="最小直径">{{ this.para == null || this.para.smallDiameter == null ? '' : this.para.smallDiameter }}</a-descriptions-item>
              <a-descriptions-item label="倒角角度">{{ this.para == null || this.para.chamferAngle == null ? '' : this.para.chamferAngle }}</a-descriptions-item>
              <a-descriptions-item label="适配刀片-刀头-刀杆">{{ this.para == null || this.para.fitterPart == null ? '' : this.para.fitterPart }}</a-descriptions-item>
              <a-descriptions-item label="有效加工长度">{{ this.para == null || this.para.effectiveLength == null ? '' : this.para.effectiveLength }}</a-descriptions-item>
              <a-descriptions-item label="钻头直径范围">{{ this.para == null || this.para.drillDiameterRange == null ? '' : this.para.drillDiameterRange }}</a-descriptions-item>
              <a-descriptions-item label="刀杆直径">{{ this.para == null || this.para.knifeDiameter == null ? '' : this.para.knifeDiameter }}</a-descriptions-item>
              <a-descriptions-item label="孔径">{{ this.para == null || this.para.boreDiameter == null ? '' : this.para.boreDiameter  }}</a-descriptions-item>
              <a-descriptions-item label="接口形式">{{ this.para == null || this.para.connectorType == null ? '' : this.para.connectorType }}</a-descriptions-item>
              <a-descriptions-item label="接口槽长规格">{{ this.para == null || this.para.slotSpecification == null ? '' : this.para.slotSpecification }}</a-descriptions-item>
              <a-descriptions-item label="适用范围">{{ this.para == null || this.para.scopeOfApplication == null ? '' : this.para.scopeOfApplication }}</a-descriptions-item>
              <a-descriptions-item label="最小镗孔直径">{{ this.para == null || this.para.latestBoringDiameter == null ? '' : this.para.latestBoringDiameter }}</a-descriptions-item>
              <a-descriptions-item label="最大镗孔直径">{{ this.para == null || this.para.maxBoringDiameter == null ? '' : this.para.maxBoringDiameter }}</a-descriptions-item>
              <a-descriptions-item label="加工方式">{{ this.para == null || this.para.processingmethod == null ? '' : this.para.processingmethod }}</a-descriptions-item>
              <a-descriptions-item label="刀头数">{{ this.para == null || this.para.headsNumber == null ? '' : this.para.headsNumber }}</a-descriptions-item>
            
            </a-descriptions>
           
    </a-card>
  </div>
</template>

<script>

import JDictSelectTag from '@/components/dict/JDictSelectTag'
import JEllipsis from '@/components/jeecg/JEllipsis' //引入过长裁剪
import Tooltip from 'ant-design-vue/es/tooltip'
import JDate from '@/components/jeecg/JDate.vue'

export default {
  name: 'ParaHoleToolsList',
  components: {
    JDictSelectTag,
    JEllipsis,
    JDate,
    Tooltip,
  },
  data() {
    return {
      description: '工具信息页面',
      title: '',
      visable:false,
      para:{},
    }
  },
  created() {
  },
  methods: {

    getPara(record){
      this.visable = true
      this.para = record
    },
  },

}
</script>
<style lang="less" scoped>
</style>